﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;

namespace TeeChartDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            bool bgEnabled = false;
            for (int i = 0; i < 4; i++)
            {
                TimeSpan t = new TimeSpan(0,0,i);
                tChart1[0].Add(t.TotalDays, bgEnabled ? double.PositiveInfinity : double.NegativeInfinity);
                tChart1[1].Add(t.TotalDays, Math.Sin(i));
                bgEnabled = !bgEnabled;
            }

            Debug.Assert(tChart1.Size.Equals(tChart1.Metafile.Size), "Size of the metafile is not equal to the chart size");
        }
    }
}
